<?php
// $Id: formselectmodule.php,v 1.2 2004/10/13 11:58:48 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 Relaible - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

if (!defined("EXOOPS_XOOPSFORMSELECTMODULE_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTMODULE_INCLUDED", 1);

include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");

class XoopsFormSelectModule extends XoopsFormSelect {

	function XoopsFormSelectmodule($caption, $name, $include_system=false, $value=0, $size=1, $multiple=false) {
		$this->XoopsFormSelect($caption, $name, $value, $size, $multiple);
		$this->addOption(0, '--'._ALL.'--');
		if (!$include_system) {
			$this->addOptionArray(XoopsModule::getAllModulesList(array("dirname != 'system'", "hasmain = '1'")));
			} else {
				$this->addOptionArray(XoopsModule::getAllModulesList(array("hasmain = '1'")));
			}
	}

//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
